package com.perforce.p4javademo;

import java.net.URISyntaxException;
import java.util.List;
import com.perforce.p4java.*;
import com.perforce.p4java.client.IClient;
import com.perforce.p4java.option.client.SyncOptions;
import com.perforce.p4java.core.file.IFileSpec;
import com.perforce.p4java.server.IOptionsServer;
import com.perforce.p4java.server.*;
import com.perforce.p4java.core.file.*;
import com.perforce.p4java.option.client.SyncOptions;

public class Sync {
  public static void main() throws Exception {
        IOptionsServer server = ServerFactory.getOptionsServer("p4java://10.1.3.67:28080", null);
        server.connect();
        server.setUserName("psoccard");
        server.login("jenkins");
        server.setCharsetName("UTF-8-BOM");
        String clientName = "psoccard-linux";
        String clientRoot = "/home/psoccard/p4tmp/jenkins/ws2";
        String[] paths = {"//depot/... //" + clientName + "/..."};
        IClient testClientFromServer = server.getClient(clientName);
        server.setCurrentClient(testClientFromServer);
        SyncOptions syncOptions = new SyncOptions();
        List<IFileSpec> fileSpec = FileSpecBuilder.makeFileSpecList("//depot/...");
        List<IFileSpec> resultSpec = testClientFromServer.sync(fileSpec, syncOptions);
  }
}
